#!/bin/bash
set -e # EXIT IMMEDIATELY UPON ERROR!

shopt -s expand_aliases

source /scripts/basic_vars

source /scripts/basic_functions

source /root/admin-openrc.sh

if [ "$LOG_IN_FILE" -eq 1 ]; then
  enable_logging /var/log/homecalling
fi

### GO GO GO
if [ -f /etc/apache2/conf-enabled/splash.* ]; then
  a2disconf splash 1>/dev/null
  systemctl reload apache2 2>/dev/null
fi

exit 0

