#!/bin/bash
set -e # EXIT IMMEDIATELY UPON ERROR!

### SOURCE KUBERNETES ADMIN RIGHTS
shopt -s expand_aliases
source /root/admin-openrc.sh

### SOURCE SAME BASIC VARS NEEDED
source /scripts/basic_vars

### SOURCE SAME BASIC FUNCTIONS NEEDED
source /scripts/basic_functions

if [ "$LOG_IN_FILE" -eq 1 ]; then
  enable_logging /var/log/homecalling
fi

### CONFIG Kubernetes
python3 /scripts/apply_sysrepo_config.py $current_config_file "kubernetes"
#
exit 0
