#!/usr/bin/env bash
# -*- coding: utf-8 -*-
# vim: tabstop=2 expandtab shiftwidth=2 softtabstop=2
# vim: set fileencoding=utf-8

#################################################################
### SCRIPT TO PARSE AND HANDLE THE NTP SECTION OF THE TVE root
#################################################################
set -e # EXIT IMMEDIATELY UPON ERROR!

### SOURCE SAME BASIC VARS NEEDED
source /scripts/basic_vars

### SOURCE SAME BASIC FUNCTIONS NEEDED
source /scripts/basic_functions

if [ "$LOG_IN_FILE" -eq 1 ]; then
  enable_logging /var/log/homecalling
fi

### CONFIG NTP
python3 /scripts/apply_sysrepo_config.py $current_config_file "ntp"

exit 0
