#!/bin/bash

function set_sys_res () {
    IFS=':' tokens=( $1 )
    local sysres_op=${tokens[0]}
    local sysres_val=${tokens[1]}
    local sysres_op1=${tokens[2]}
    local sysres_val1=${tokens[3]}

    /scripts/apply_hostres_sysrepo.py ${sysres_op} ${sysres_val} ${sysres_op1} ${sysres_val1}
    
    # These script commands now run in apply_hostres_sysrepo.py
    # sudo systemctl stop sshd
    # sudo pkill clish
}


function set_oversubscription() {
    IFS=':' tokens=( $1 )
    local sysres_op=${tokens[0]}
    local sysres_val=${tokens[1]}

    /scripts/apply_hostres_sysrepo.py ${sysres_op} ${sysres_val}
}

case "$1" in
  sys_res)
    set_sys_res $2
    ;;
  set_oversubscription)
    set_oversubscription $2
    ;;
  *)
    echo "Unknown operation"
    exit 1
    ;;
esac

exit 0
