#!/bin/bash

cpu_num="$2"

cpu_present=$(cat /sys/devices/system/cpu/present | cut -d'-' -f2)
next_cpu=$((cpu_num + 1))

if [[ "$1" == "online" ]]; then
  /bin/rm -f /config/_cpu/online/$cpu_num
  sleep 1
  for (( cpu=2; cpu<=$cpu_num; cpu++ )); do
    sudo echo "1" > /sys/devices/system/cpu/cpu${cpu}/online
  done
  #disable rest
  for (( cpu=$next_cpu; cpu<=$cpu_present; cpu++ )); do
    sudo echo "0" > /sys/devices/system/cpu/cpu${cpu}/online
  done
else
   #set cpus offline
  /bin/rm -f /config/_cpu/offline/$cpu_num
  sleep 1
  for (( cpu=4; cpu<=$cpu_num; cpu++ )); do
    sudo echo "0" > /sys/devices/system/cpu/cpu${cpu}/online
  done
fi

exit 0
