#!/bin/bash
### INIT VARS
source /scripts/basic_vars
### SOURCE SAME BASIC FUNCTIONS NEEDED
source /scripts/basic_functions

if [ -f $1 ]; then
  /scripts/homecalling_import_cfg.py $1 ntp:ntp
  if [ "nanopir2s" != "$(cat /config/.hwtype)" -a "nanopir4s" != "$(cat /config/.hwtype)" ]; then
    /scripts/homecalling_import_cfg.py $1 syslog:syslog
    /scripts/homecalling_import_cfg.py $1 dhcprelay:dhcp-relay
  fi
  /scripts/homecalling_import_cfg.py $1 dhcpserver:dhcp-server
  /scripts/homecalling_import_cfg.py $1 system:system
  /scripts/homecalling_import_cfg.py $1 quagga:quagga
  if [ "nanopir2s" != "$(cat /config/.hwtype)" -a "nanopir4s" != "$(cat /config/.hwtype)" ]; then
    /scripts/homecalling_import_cfg.py $1 snmp-server:snmp-server
  fi
  /scripts/homecalling_import_cfg.py $1 security:security
  /scripts/homecalling_import_cfg.py $1 interfaces:interface
  /scripts/homecalling_import_cfg.py $1 kubernetes:kubernetes
else
  pretty_print "No configuration file provided!"
fi

exit 0
