#!/usr/bin/env python3
import json


def prepare_license():
    with open("/config/license/license_pack.lic") as f:
        read_licenses = json.load(f)

    licenses_json = json.dumps(read_licenses, indent=4)
    with open("/config/license/unsigned_license.lic", 'w+') as f:
        f.write(licenses_json)

    return True


if __name__ == "__main__":
    try:
        print(prepare_license())
    except Exception as e:
        print(False)
