#!/bin/bash
# -*- coding: utf-8 -*-
# coding: utf-8
# vim: tabstop=2 expandtab shiftwidth=2 softtabstop=2
# vim: set fileencoding=utf-8

dpkg -l cuda 1>/dev/null 2>/dev/null
if [ "$?" == "0" ]; then
echo "Package cuda is already installed."
exit 0
fi

mkdir -p /usr/share/man/man1
cp /opt/nvidia-cuda/cuda-archive-keyring.gpg /usr/share/keyrings/
cp /opt/nvidia-cuda/cuda-repository-pin-600 /etc/apt/preferences.d/
cp /opt/nvidia-cuda/cuda-ubuntu2204-x86_64.list /etc/apt/sources.list.d/
cp /opt/nvidia-cuda/ubuntu.list /etc/apt/sources.list.d/
cp /opt/nvidia-cuda/libnvidia-container.list /etc/apt/sources.list.d/
touch /config/nvidia-cuda
#mv /etc/apt/sources.list /opt/nvidia-cuda/

cat /opt/nvidia-cuda/libnvidia-container-gpgkey | apt-key add -

apt-get update && apt-get install -y --no-install-recommends --no-install-suggests --no-upgrade cuda && apt-get install -y --no-install-recommends --no-install-suggests --no-upgrade nvidia-container-toolkit

cp /opt/nvidia-cuda/config.toml /etc/containerd/config.toml

#mv /opt/nvidia-cuda/sources.list  /etc/apt/sources.list
rm -rf /usr/share/man
rm -f /etc/apt/preferences.d/cuda-repository-pin-600  /etc/apt/sources.list.d/cuda-ubuntu2204-x86_64.list /etc/apt/sources.list.d/ubuntu.list /etc/apt/sources.list.d/libnvidia-container.list /usr/share/keyrings/cuda-archive-keyring.gpg
apt-get update -q 1>/dev/null 2>/dev/null
sed -i -E '/^[[:space:]]*#?[[:space:]]*Import "gpu"/s/^#?[[:space:]]*/  /' /etc/collectd/collectd.conf

mkdir -p /config/_reboot/tve/now
