#!/bin/bash

# #4 is local VPN client ip address
#cmd tun_dev tun_mtu link_mtu ifconfig_local_ip ifconfig_remote_ip [ init | restart ]

### SOURCE SAME BASIC VARS NEEDED
source /scripts/basic_vars

### SOURCE SAME BASIC FUNCTIONS NEEDED
source /scripts/basic_functions

if [ "$LOG_IN_FILE" -eq 1 ]; then
  enable_logging /var/log/homecalling
fi

echo "Openvpn tunnel going up, client address is $4, operation $6" | systemd-cat -p info -t openvpn_up_handle 

/bin/mkdir -p /config/_service_restart/rsyslog

#change VNC endpoint for each running instance
#/scripts/set_instance_vnc_address.sh $4

echo "$1 $4" > /config/_openvpn_up_bind_if_handle/tun0.$(date "+%Y%m%d%H%M%S")

if [ -d /config/_openvpn_down_handle/tun0 ]; then
  /bin/rmdir /config/_openvpn_down_handle/tun0
fi

exit 0
