#!/bin/bash
  
source /root/admin-openrc.sh

port_id=$1
ip=$2

real_ip=$ip

# handle the vpp case - in vnic file management inteface has ip 0.0.0.0 - 'fixed_ips': '0.0.0.0'
if [[ "$ip" == "0.0.0.0" ]]; then
  real_ip=$(openstack port show --insecure $port_id | grep fixed_ips | cut -d"'" -f2 | tr -d '\n')
fi

neutron --os-user-domain-name $OS_USER_DOMAIN_NAME --os-project-name $OS_PROJECT_NAME --os-auth-url $OS_AUTH_URL  --os-username $OS_USERNAME --os-password $OS_PASSWORD --insecure --http-timeout 60 port-update $port_id --fixed-ip ip_address=$real_ip

exit 0
