#!/bin/bash
#
COUNTER=0
#
while true ; do
  PID=`ps aux | grep "beam.smp" | head -n1 | awk '{print $2}'`
  if [ -n "${PID}" ]; then
    CPU_USAGE=`top -b -d1 -n1 -p${PID} | grep beam.smp | awk '{print $9'} | cut -d',' -f1 | cut -d'.' -f1`
    if [ -n "${CPU_USAGE}" ]; then
      # If rabbitmq uses more than 90% of CPU - increment counter
      if [ ${CPU_USAGE} -gt 90 ] ; then
        COUNTER=$((COUNTER + 1))
      fi
      # If for over 10 minutes (60 * 10) rabbitmq uses more than 90% of CPU,
      # restart it
      if [ ${COUNTER} -ge 60 ] ; then
        systemctl restart rabbitmq-server
        COUNTER=0
      else
        sleep 10
      fi
    fi
  fi
done
