#!/bin/bash


INBAND_net=
INBAND_mask=
INBAND_mac=
INBAND_real=$(ip addr | grep "$INBAND_mac" -B 1 | grep -o "^[0-9]*: [a-z]*[0-9]*:"|cut -d ':' -f 2 | cut -d ' ' -f 2)

OUTBAND_net=
OUTBAND_mask=
OUTBAND_mac=
OUTBAND_real=$(ip addr | grep "$OUTBAND_mac" -B 1 | grep -o "^[0-9]*: [a-z]*[0-9]*:"|cut -d ':' -f 2 | cut -d ' ' -f 2)

if [ ! -z $INBAND_net ] ; then
	ifconfig $INBAND_real $INBAND_net netmask $INBAND_mask up
fi

if [ ! -z $OUTBAND_net ] ;then
	ifconfig $OUTBAND_real $OUTBAND_net netmask $OUTBAND_mask up
fi

echo "[INBAND_real][$INBAND_mac]=$INBAND_real"
echo "[OUTBAND_real][$OUTBAND_mac]=$OUTBAND_real"

