#!/bin/bash
# -*- coding: utf-8 -*-
# coding: utf-8
# vim: tabstop=2 expandtab shiftwidth=2 softtabstop=2
# vim: set fileencoding=utf-8
source /scripts/basic_vars
set -o nounset
set -o pipefail
set -o errexit
#
if [ "1" != "$#" ]; then exit 0;fi
if [ -f ${NATIVE_DISABLED_FILE} ]; then exit 3;fi
APPNAME=${1}
EXCLUDE_FILE=""
exec 1> >(systemd-cat -p info -t app_retrieve) 2>&1
set -o xtrace
#
cd /root/apps
shopt -s nocasematch
if [[ "${APPNAME}" == "clavister"* ]]; then
  EXCLUDE_FILE="--exclude=clavister/clav_ifs_setup --exclude=clavister/successful_initialized"
fi
shopt -u nocasematch
tar ${EXCLUDE_FILE} -czf /home/admin/user_files/${APPNAME}.tar.gz ${APPNAME} 
cd /tmp
exit 0
