#!/bin/bash
##########################################################################
### SCRIPT TO PARSE AND HANDLE THE BOOT SETTINGS SECTION OF THE TVE CONFIG
##########################################################################
set -e # EXIT IMMEDIATELY UPON ERROR!

### SOURCE SAME BASIC VARS NEEDED
source /scripts/basic_vars

### SOURCE SAME BASIC FUNCTIONS NEEDED
source /scripts/basic_functions

if [ "$LOG_IN_FILE" -eq 1 ]; then
	enable_logging /var/log/homecalling
fi

python3 /scripts/apply_sysrepo_config.py $current_config_file "system"
exit 0
