#!/bin/bash
set -e # EXIT IMMEDIATELY UPON ERROR!

shopt -s expand_aliases

### SOURCE SAME BASIC VARS NEEDED
source /scripts/basic_vars

### SOURCE SAME BASIC FUNCTIONS NEEDED
source /scripts/basic_functions

### SOURCE OPERNSTCK ADMIN RIGHTS
source /root/admin-openrc.sh

if [ "$LOG_IN_FILE" -eq 1 ]; then
  enable_logging /var/log/homecalling
fi

### CONFIG SYSTEM
python3 /scripts/apply_sysrepo_config.py $current_config_file "system"
exit 0
