#!/bin/bash
# -*- coding: utf-8 -*-
set -e # EXIT IMMEDIATELY UPON ERROR!

shopt -s expand_aliases

source /scripts/basic_vars
source /scripts/basic_functions
source /root/admin-openrc.sh

if [ "$LOG_IN_FILE" -eq 1 ]; then
  enable_logging /var/log/homecalling
fi

python3 /scripts/apply_sysrepo_config.py $current_config_file "interfaces"
exit 0
