#!/bin/bash
#################################################################
### SCRIPT TO HANDLE THE SECURITY CLI WHITELIST
### $1 - new configuration
#################################################################
set -e # EXIT IMMEDIATELY UPON ERROR!


### SOURCE SAME BASIC VARS NEEDED
source /scripts/basic_vars

### SOURCE SAME BASIC FUNCTIONS NEEDED
source /scripts/basic_functions

if [ "$LOG_IN_FILE" -eq 1 ]; then
  enable_logging /var/log/homecalling
fi

### GO GO GO
python3 /scripts/apply_sysrepo_config.py $1 "security"
exit 0
