#!/bin/bash
#################################################################
### SCRIPT TO PARSE AND HANDLE THE NTP SECTION OF THE TVE root
#################################################################
set -e # EXIT IMMEDIATELY UPON ERROR!

source /scripts/basic_vars

source /scripts/basic_functions

if [ "$LOG_IN_FILE" -eq 1 ]; then
  enable_logging /var/log/homecalling
fi
#
if [ ! -f /etc/snmp/snmpd.conf ]; then
  cat > /etc/snmp/snmpd.conf <<EOF
EOF
fi
#
python3 /scripts/apply_sysrepo_config.py $current_config_file "snmp-server"
exit 0
