#!/bin/bash
# -*- coding: utf-8 -*-
# coding: utf-8
# vim: tabstop=2 expandtab shiftwidth=2 softtabstop=2
# vim: set fileencoding=utf-8
#
if [ -f /run/br-now ]; then
  pr=/run/progress_$(cat /run/br-now)
fi
mys=/run/$(cat /run/br-now)_size
>${pr}
/bin/chmod 777 ${pr}
logger -t "brtar.sh" "pv to ${pr}"
myf="%p^%e^%r?"
if [ -f /run/freezer_total_size ] && [ -x /usr/bin/pv ] && [ 1 -eq $# ]; then
  PVSIZE=$(cat /run/freezer_total_size)
  logger -t "brtar.sh" "${pr} $(cat ${mys}) total ${PVSIZE} pwd $(pwd)"
  /bin/tar --create    --warning=none --no-check-device --one-file-system --preserve-permissions --same-owner --seek --ignore-failed-read --listed-incremental=${1} . | /usr/bin/pv --rate --progress --force --eta --size ${PVSIZE} --format ${myf} 2>${pr} | xz -z
elif [ -f /run/freezer_total_size ] && [ -x /usr/bin/pv ] && [ 2 -eq $# ]; then
  PVSIZE=$(cat /run/freezer_total_size)
  logger -t "brtar.sh" "${pr} $(cat ${mys}) total ${PVSIZE} pwd $(pwd)"
  /bin/tar --create    --warning=none --no-check-device --one-file-system --preserve-permissions --same-owner --seek --ignore-failed-read --listed-incremental=${1} -C /var/lib/nova . | /usr/bin/pv --rate --progress --force --eta --size ${PVSIZE} --format ${myf} 2>>${pr} | gzip -c > /tmp/data
else
  /bin/tar --create -J --warning=none --no-check-device --one-file-system --preserve-permissions --same-owner --seek --ignore-failed-read --listed-incremental=${1} .
fi
#
exit 0
