import subprocess


def handle_output(modinfo):

    modinfo_output = modinfo.communicate()
    modinfo_output = modinfo_output[0].decode('utf-8')
    modinfo_output = modinfo_output.split('\n')
    return modinfo_output


#words_to_match = ['Network', 'Ethernet', 'Gigabit', 'IGB', 'i40']

lsmod = subprocess.Popen("lsmod | awk '{print $1\" \"$2\" \"$3\" \"$4}'", shell=True,  stdout=subprocess.PIPE, stderr=subprocess.PIPE)

lsmod_output = handle_output(lsmod)
i = 1

while i+1 < len(lsmod_output):
    modline = str(lsmod_output[i]).strip().split(' ')
    if len(modline) < 3:
        continue
    name=modline[0]
    size=modline[1]
    used=modline[2]
    if len(modline) > 3:
        used = used + " " + modline[3]
    modinfo = subprocess.Popen("modinfo {}".format(str(name)), shell=True,
                               stdout=subprocess.PIPE, stderr=subprocess.PIPE)

    modinfo_output = handle_output(modinfo)
    print("Name: %s" % name)
    description=""
    version=""
    for line in modinfo_output:
        if line.startswith('description:'):
            description = line.split(':')[1].strip()
            break
    for ver in modinfo_output:
        if ver.startswith('version:'):
            version=ver.split(":")[1].strip()
            break
    print("Description: %s" % description)
    print("Version: %s" % version)
    print("Used: %s" % used)
    print("-----")
    i = i+1

