#!/usr/bin/env python3
import sys
import json

if __name__ == "__main__":
    #print(sys.argv[1])
    data=json.loads(sys.argv[1])
    if 'ucpe:config' in data:
        if 'interfaces:interface' in data['ucpe:config']:
            for iface in data['ucpe:config']['interfaces:interface']:
                if 'vti0' in iface['name']:
                    if 'dh-groups' in iface['ike-phase-1']:
                        a=iface['ike-phase-1'].pop('dh-groups')
                        a=sorted(a, key = lambda i: i['group'])
                        iface['ike-phase-1']['dh-groups'] = a
                    if 'dh-groups' in iface['ike-phase-2']:
                        a=iface['ike-phase-2'].pop('dh-groups')
                        a=sorted(a, key = lambda i: i['group'])
                        iface['ike-phase-2']['dh-groups'] = a
    print(json.dumps(data))
