#!/bin/bash
#set -o xtrace
#
operation=${1}
virsh_domain=${2}

qcow2src=$(virsh dumpxml "${virsh_domain}" 2>&1 | grep -v setlocale | grep "source file" | sed "s/^ *<source file='//" | sed "s#'/>##" | head -n 1 )
domainName=$(virsh dumpxml "${virsh_domain}" 2>&1 | grep -v setlocale | grep "<name>" | sed "s/^ *<name>//" | sed "s#</name>##" )

sudo virsh destroy "${domainName}" 1>/dev/null 2>&1 | grep -v setlocale

if [ "$operation" = "undefine" ]; then
  if [ "aarch64" = "$(uname -p)" ]; then
    sudo virsh undefine "${domainName}" --nvram --remove-all-storage 1>/dev/null 2>&1 | grep -v setlocale
  else
    sudo virsh undefine "${domainName}" --remove-all-storage 1>/dev/null 2>&1 | grep -v setlocale
  fi
  if [ -f "${qcow2src}" ]; then
    sudo rm -f "${qcow2src}"
  fi
fi