#!/bin/bash
# -*- coding: utf-8 -*-
# coding: utf-8
# vim: tabstop=2 expandtab shiftwidth=2 softtabstop=2
# vim: set fileencoding=utf-8
set -o nounset
set -o pipefail
set -o errexit
#
exec 1> >(systemd-cat -p info -t collectdToLogstash) 2>&1
if [ "1" != "$#" ]; then
  echo "Missing new manager IP!" | systemd-cat -p info -t collectdToLogstash
  exit 0
fi
set -o xtrace
#
sed -i "s/tcp:.*/tcp:${1}:30826/g" /lib/systemd/system/collectdToLogstash.service
sed -i "s/<Server \".*\" \"25826\"> \# LOGSTASH_SERVER_LINE/<Server \"127\.0\.0\.1\" \"25826\"> \# LOGSTASH_SERVER_LINE/g" /etc/collectd/collectd.conf
systemctl daemon-reload
systemctl --no-block restart collectdToLogstash
systemctl --no-block restart collectd
#
exit 0
