#!/bin/bash
while true ; do
    if [[ $(systemctl is-active iscsi.service) == "failed" ]]; then
        if [ $(systemctl show -p ExecMainStatus --value iscsi) == 8 ]; then
            systemctl restart iscsi.service
        fi
    fi
    if [[ $(systemctl is-active SAN.mount) == "failed" || $(grep SAN /proc/mounts | grep "[[:space:]]ro[[:space:],]") ]]; then
        systemctl restart SAN.mount
        systemctl restart glance-api
    fi
    if [[ $(systemctl is-active iscsi.service) == "active" ]]; then
        if [[ $(systemctl is-active mariadb) != "active" ]]; then
            systemctl restart mariadb
            systemctl restart glance-api
        fi
    fi
    sleep 60
done
