#!/bin/bash

### SOURCE SAME BASIC VARS NEEDED
source /scripts/basic_vars

### SOURCE SAME BASIC FUNCTIONS NEEDED
source /scripts/basic_functions

if [ "$LOG_IN_FILE" -eq 1 ]; then
	enable_logging /var/log/homecalling
fi

/usr/bin/systemd-cat --identifier=openvpn-client echo Openvpn tunnel going down
/scripts/set_instance_vnc_address.sh 0.0.0.0

if [ -d /config/_openvpn_down_handle/tun0 ]; then
  /bin/rmdir /config/_openvpn_down_handle/tun0
fi

if [ -d /config/_openvpn_up_handle/iroutes ]; then
  /bin/rmdir /config/_openvpn_up_handle/iroutes
fi

exit 0
