#!/usr/bin/env bash

source /scripts/basic_vars
source /scripts/basic_functions

#in sec

TIMEOUT=30
retry=0
while true; do
  #$(/scripts/hb_update.py)
  ELAPSEDSEC=$(TIMEFORMAT='%0R' ; { time python3 /scripts/hb_update.py ; } 2>&1 )
  PERIOD=${TIMEOUT}
  if [  -z "${ELAPSEDSEC##*[!0-9]*}" ]; then
        PERIOD=${TIMEOUT}
  elif [ "$ELAPSEDSEC" -ge "$TIMEOUT" ]; then 
       #if hb took too long, do minimal delay
       PERIOD=5
  elif [ "$ELAPSEDSEC" -lt "3" ]; then
       PERIOD=${TIMEOUT}
  else
       PERIOD=$((${TIMEOUT} - ${ELAPSEDSEC}))
  fi
  rm -rf $hb_force_file
  if [ -d /config/_hb ]; then
    inotifywait -q -q -e create -t ${PERIOD} /config/_hb
  fi
done
