#!/usr/bin/env python3
import os
import sys
from tveapi.common import utils

if len(sys.argv) < 3:
    raise Exception("Missing config params!")

old = os.environ.get('HOME', 'Not Set')
os.environ["HOME"] = "/root"

if sys.argv[3] == "add":
    cmd="kubectl get configmap contiv-agent-cfg -n kube-system -o yaml | sed '/[[:space:]][[:space:]][[:space:]][[:space:]]nodeConfig:/a\    - nodeName: \"{}\"\\n      nodeConfigSpec:\\n        mainVPPInterface:\\n          interfaceName: \"{}\"' | kubectl apply -f -".format(sys.argv[1], sys.argv[2])
    code, stdout, stderr = utils.execute_shell_command(cmd)
    if code != 0:
        os.environ["HOME"] = old
        sys.exit(stderr)
elif sys.argv[3] == "delete":
    cmd="kubectl get configmap contiv-agent-cfg -n kube-system -o yaml | sed -e'/    - nodeName: \"{}\"/,+3d' | kubectl apply -f -".format(sys.argv[1])
    code, stdout, stderr = utils.execute_shell_command(cmd)
    if code != 0:
        os.environ["HOME"] = old
        sys.exit(stderr)

os.environ["HOME"] = old
sys.exit(0)
