#! /usr/bin/env python3
from sysrepo_interfaces import sysrepo_interfaces3 as api
from tveif import if_lte
from time import sleep
import os

ret=0
client = api.SysrepoInterfaces(app_name="LTE modem check", log_level="ERROR")
interfaces = client.get_interfaces()
for ifname in interfaces:
    # print("setting up " + ifname)
    if interfaces[ifname].get('type') == 'lte' and interfaces[ifname].get('enable'):
        if ifname != "lte0":
            continue
        if if_lte.lte_is_qmi(if_lte.modem_default): # and if_lte.lte_qmi_sim_ready(if_lte.modem_default):
            if not if_lte.lte_qmi_is_connected(if_lte.modem_default):
                print("lte %s disconnected, trying reviving..." % if_lte.modem_default)
                if_lte.reset_lte_qmi_dev(if_lte.modem_default)
                os.system("ifdown br-%s" % (ifname))
                success = if_lte.setup_lte_qmi_dev(interfaces[ifname], if_lte.modem_default)
                if not success:
                    ret = 1
                try:
                    sleep(20)
                    os.system("/scripts/vpp_lte_reinit.py")
                    os.system("ifquery --state br-%s || ifup br-%s" % (ifname, ifname))
                    os.system("echo 2 > /proc/sys/net/ipv4/conf/br-%s/rp_filter " % (ifname))
                    os.system("echo 1 > /proc/sys/net/ipv4/conf/%s/rp_filter " % (ifname))
                except:
                    pass
                continue
            else:
                continue
        if if_lte.lte_is_mbim(if_lte.mbim_modem_default) and not if_lte.lte_mbim_is_connected(if_lte.mbim_modem_default) : 
                    if_lte.setup_lte_mbim_dev(interfaces[ifname], if_lte.mbim_modem_default)
            
exit(ret)
