#!/usr/bin/env python3
import sys
import crypt

if __name__ == '__main__':
    argc = len(sys.argv)
    if argc < 3:
        print("Password verification failed! User or password missing!")
        sys.exit(1)

    if argc > 3:
        print("Password verification failed! Too many parameters!")
        sys.exit(1)
        
    #admin:$1$.hp5TjIv$LxlyBslHaHCxj2il6/dYW0:18883:0:99999:7:::
    try:
        user = sys.argv[1]
        passwd = sys.argv[2]
        #print(user, passwd)
        passFile = open ("/etc/shadow",'r')
        for linel in passFile.readlines():
                line = linel.replace("\n","").split(":")
                if line[0] == user and (len(linel) > 4) and line[1] and line[1].count("$")>=3:
                    pass_elem=line[1].split("$")
                    if pass_elem[1]=="1":
                        salt = "$1$" + pass_elem[2]
                        pass_crypt = crypt.crypt(passwd,salt)
                        if pass_crypt == line[1]:
                            #print("Password verified!")
                            sys.exit(0)
                        sys.exit(1)
        sys.exit(1)
    except Exception as e:
        print("Exception occurred verifying user password!")
        sys.exit(1)
