#!/bin/bash
#source /scripts/basic_vars
#source /scripts/basic_functions

vmportsinfo="/config/vm-ports.info"

#echo -n "">${vmportsinfo}


exit 0

if [ $(systemctl is-enabled vpp-config) == "enabled" ]; then

  if [ -f $vmportsinfo ]; then

     while read line; do

        vhostsock=$(echo $line | cut -f1 -d' ')
        tapname=$(echo $line | cut -f2 -d' ')
        ippass=$(echo $line | cut -f3 -d' ')
        dataif=$(echo $line | cut -f4 -d' ')
        vhostifname=$(vppctl show vhost | egrep "socket filename|Interface:" | sed 's/"Success"/#/' | tr -s '\r\n' ',' | tr -s '#' '\n' | grep ${vhostsock} | cut -f2 -d' ')
        savedbdid=$(echo $line | cut -f5 -d' ')
        bdid=""
        if [ -n "$tapname" ] && [ "$tapname" != "none" ]; then
           bdid=$(vppctl show int ${tapname} addr | grep bd-id | awk '{print $4}')
        else
            bdid=$(vppctl show int ${dataif} addr | grep bd-id | awk '{print $4}')
        fi
        
        
        if [ ! -n "$bdid" ] && [ -n "$savedbdid" ] ; then
             if [[ "$dataif" == *"."* ]]; then
            #tagged vlan port
                    bdid=$savedbdid
                    dataif_base=$(echo $dataif | cut -f1 -d'.')
                    dataif_vlan=$(echo $dataif | cut -f2 -d'.')
                    vppctl create bridge-domain $bdid
                    vppctl create sub-interfaces $dataif_base $dataif_vlan
                    vppctl set interface l2 bridge $dataif $bdid
                    vppctl set interface l2 tag-rewrite $dataif pop 1
                    vppctl set interface state $dataif up
             else
                    echo "Can't connect port $vhostifname"
                    continue
             fi
        fi

        

        if [ -n "$bdid" ] && [ -n "$vhostifname" ]; then
             if [ -z "$tapname" ] || [ "$tapname" == "none" ]; then
                    ippass="false"
             fi
       
             if [ "$ippass" == "true" ]; then 
	        vppctl set ippass ${tapname} vm ${vhostifname}
        	vppctl set interface l2 learn ${vhostifname} disable
             fi
                vppctl set interface state ${vhostifname}  up
                vppctl set interface l2 bridge ${vhostifname} ${bdid}
       fi


    done < $vmportsinfo

 fi



else
#OVS

/bin/bash /config/vm-ports.info 
cp /config/vm-ports.info /config/vm-ports.bak


fi




#echo -n "">${vmportsinfo}


